<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>The Island of Dr. Moreau</Series>
  <Number>002</Number>
  <Web>https://www.comixology.com/H-G-Wells-The-Island-of-Dr-Moreau-2/digital-comic/781023</Web>
  <Summary>THE POWERHOUSE CLIMAX OF A REIMAGINED SCIENCE FICTION CLASSIC! By the writer of DIABLO HOUSE and artist of LOCKE &amp; KEY! The action ramps up as Ellie learns more about Moreau’s experiments on the animals that have been brought to the island. At the same time, the animals start to question the authority of the man who changed them. Will Moreau’s hubris lead to his own downfall? Will Ellie escape the island? Find out in THE ISLAND OF DR. MOREAU #2.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB781023]</Notes>
  <Publisher>IDW</Publisher>
  <Genre>Science Fiction, Horror, Literature</Genre>
  <PageCount>18</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
